Added onos-test.
Refactored the CLI classes.
diff --git a/tools/test/bin/onos-config b/tools/test/bin/onos-config
index dd03e2d..e9f3f0a 100755
--- a/tools/test/bin/onos-config
+++ b/tools/test/bin/onos-config
@@ -8,25 +8,4 @@
 
 remote=$ONOS_USER@${1:-$OCI}
 
-LOG=$ONOS_INSTALL_DIR/config.log
-onos=$ONOS_INSTALL_DIR/bin/onos
-
-ssh $remote "
-    # Wait until we reach the run-level 100
-    echo 'Waiting for cluster bootstrap...'
-    running=""
-    while [ -z \$running ]; do
-        $onos bundle:list 2>>$LOG | grep -q 'START LEVEL 100' && running=1 || sleep 2
-    done
-
-    echo 'Installing ONOS bundles...'
-    $onos cluster:feature-install default onos-api 1>>$LOG 2>&1
-  # $onos cluster:feature-install default onos-core 1>>$LOG 2>&1
-    $onos cluster:feature-install default onos-core-trivial 1>>$LOG 2>&1
-    $onos cluster:feature-install default onos-openflow 1>>$LOG 2>&1
-    $onos cluster:feature-install default onos-cli 1>>$LOG 2>&1
-  # $onos cluster:feature-install default onos-gui 1>>$LOG 2>&1
-  # $onos cluster:feature-install default onos-rest 1>>$LOG 2>&1
-    $onos cluster:feature-install default onos-app-tvue 1>>$LOG 2>&1
-    $onos cluster:feature-install default onos-app-fwd 1>>$LOG 2>&1
-"
+echo "Deprecated!"
\ No newline at end of file
diff --git a/tools/test/bin/onos-log b/tools/test/bin/onos-log
index 698cc2f..1a205f4 100755
--- a/tools/test/bin/onos-log
+++ b/tools/test/bin/onos-log
@@ -14,6 +14,7 @@
 
 ssh $remote "
     while true; do
+        echo ==================================================================
         [ ! -f $LOG ] && sleep 2 && continue
         tail -n 512 --follow=name $LOG --sleep-interval 2
     done
diff --git a/tools/test/bin/onos-test b/tools/test/bin/onos-test
new file mode 100755
index 0000000..d549721
--- /dev/null
+++ b/tools/test/bin/onos-test
@@ -0,0 +1,13 @@
+#!/bin/bash
+#-------------------------------------------------------------------------------
+# Launches the ONOS tests on the current cell environment.
+#-------------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+nodes=$(env | sort | egrep "OC[0-9]+" | cut -d= -f2)
+
+onos-package
+for node in $nodes; do onos-install -f $node; done
+for node in $nodes; do onos-wait-for-start $node; done